Update Org Ldap Settings

Update Org Ldap Settings
Updates the organization LDAP settings.

Updates the organization LDAP settings.

Request
URI
PUT
https://{api_host}/cloudapi/v1/orgSettings/ldap
COPY
Request Body

The updated organization LDAP settings.

OrganizationLdapSettings of type(s) application/json
Required

Show optional properties

{
    "enabled": false
}
{
    "enabled": false,
    "settingsSource": "string",
    "inheritedCustomUsersOu": "string",
    "definedSettings": {
        "hostName": "string",
        "port": 0,
        "ssl": false,
        "pagedSearchDisabled": false,
        "pageSize": 0,
        "maxResults": 0,
        "maxUserGroups": 0,
        "searchBase": "string",
        "userName": "string",
        "password": "string",
        "groupSearchBase": "string",
        "customUiButtonLabel": "string",
        "userAttributes": {
            "objectClass": "string",
            "objectIdentifier": "string",
            "userName": "string",
            "email": "string",
            "displayName": "string",
            "givenName": "string",
            "surname": "string",
            "telephone": "string",
            "groupMembershipIdentifier": "string",
            "groupBackLinkIdentifier": "string",
            "domain": "string",
            "managerIdentifier": "string"
        },
        "groupAttributes": {
            "objectClass": "string",
            "objectIdentifier": "string",
            "groupName": "string",
            "membership": "string",
            "membershipIdentifier": "string",
            "backLinkIdentifier": "string"
        }
    }
}
boolean
enabled
Required

enabled

string
settingsSource
Optional

LDAP source for the organization. INHERIT_SYSTEM will inherit provider settings where available, and DEFINED allows settings custom LDAP settings.

string
inheritedCustomUsersOu
Optional

Custom organizational unit (OU) for users when inheriting provider settings.

object
definedSettings
Optional

LDAP settings when using a defined LDAP settings source.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns OrganizationLdapSettings of type(s) application/json;version=9.1.0
{
    "enabled": false,
    "settingsSource": "string",
    "inheritedCustomUsersOu": "string",
    "definedSettings": {
        "hostName": "string",
        "port": 0,
        "ssl": false,
        "pagedSearchDisabled": false,
        "pageSize": 0,
        "maxResults": 0,
        "maxUserGroups": 0,
        "searchBase": "string",
        "userName": "string",
        "password": "string",
        "groupSearchBase": "string",
        "customUiButtonLabel": "string",
        "userAttributes": {
            "objectClass": "string",
            "objectIdentifier": "string",
            "userName": "string",
            "email": "string",
            "displayName": "string",
            "givenName": "string",
            "surname": "string",
            "telephone": "string",
            "groupMembershipIdentifier": "string",
            "groupBackLinkIdentifier": "string",
            "domain": "string",
            "managerIdentifier": "string"
        },
        "groupAttributes": {
            "objectClass": "string",
            "objectIdentifier": "string",
            "groupName": "string",
            "membership": "string",
            "membershipIdentifier": "string",
            "backLinkIdentifier": "string"
        }
    }
}

400

Performing this change would strand imported users or groups.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"enabled":"boolean"}' https://{api_host}/cloudapi/v1/orgSettings/ldap